Parselv1.0.0
Billing

List invoices

List paginated invoices for the current user, optionally filtered by status or invoice number.

GET
/billing/invoices

Authorization

authorization
AuthorizationBearer <token>

In: header

Query Parameters

status?string

Filter by invoice status

Value in"DRAFT" | "OPEN" | "PAID" | "UNCOLLECTIBLE" | "VOID"
search?string

Case-insensitive partial match on invoice number

page?integer

Page number

page_size?integer

Page size

Response Body

application/json

application/json

curl -X GET "https://api.parsel.app/billing/invoices?page=1&page_size=50"
{
  "data": [
    {
      "csv_url": "https://billing.example.com/invoices/INV-2025-0042.csv",
      "currency": "USD",
      "due_date": {},
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "invoice_date": {},
      "invoice_number": "INV-2025-0042",
      "line_items": [
        {
          "carrier": "UPS",
          "created_at": {},
          "description": null,
          "postage_cents": 1250,
          "surcharges_cents": 250,
          "total_cents": 1500,
          "tracking_code": "1Z999AA10123456784"
        }
      ],
      "line_items_has_next_page": false,
      "pdf_url": "https://billing.example.com/invoices/INV-2025-0042.pdf",
      "period_end": {},
      "period_start": {},
      "status": "OPEN",
      "total_cents": 135075
    }
  ],
  "metadata": {
    "current_page": 1,
    "page_size": 25,
    "total_count": 87,
    "total_pages": 4
  }
}
{
  "errors": {
    "message": "The requested resource could not be found",
    "status": "Not Found"
  }
}